CHPASSWD(8)

NAME
chpasswd - Mettre à jour des mots de passe par lot

SYNOPSIS

chpasswd [options]

DESCRIPTION

Chpasswd lit une liste de paires de noms d'utilisateurs et de mots de passe depuis l'entrée standard et utilise ces informations pour mettre à jour un groupe d'utilisateurs existants. Chaque ligne est au format suivant :

nom_utilisateur:mot_de_passe

Par défaut, le mot de passe doit être fourni en clair. L'algorithme de chiffrement par défaut est le chiffrement DES. L'âge du mot de passe sera également mis à jour, s'il est présent.

Cette commande est destinée aux gros systèmes pour lesquels un nombre importants de comptes sont créés en une seule fois.

OPTIONS

Les options disponibles pour la commande chpasswd sont :

-e, --encrypted
    Indique que les mots de passe fournis sont chiffrés.

-h, --help
    Affiche un message d'aide et quitte.

-m, --md5
    Permet d'utiliser le chiffrement MD5, plutôt que DES, lorsque les mots de passe fournis ne sont pas chiffrés.

AVERTISSEMENTS

Veuillez veiller à éviter que le fichier utilisé par la commande chpasswd soit accessible en lecture s'il contient des mots de passe non chiffrés.

VOIR AUSSI

passwd(1), newusers(8), useradd(8).